Name:		perl-Filesys-SmbClient
Version:	3.2
Release:	1%{?dist}
Summary:	Samba client Perl module

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Filesys-SmbClient
Source0:	http://search.cpan.org/CPAN/authors/id/A/AL/ALIAN/Filesys-SmbClient-%{version}.tar.gz
# Patch Makefile.PL to
# * Disable tests (requires Samba server access)
# * Know where to search includes (/usr/include/samba-4.0)
Patch0:		Filesys-SmbClient-3.2_Makefile.patch


BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	libsmbclient-devel


Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
Perl module that provides interface to Samba smbclient routines. It gives Perl
programmers a way to access Samb/CIFS servers natively.


%prep
%setup -q -n Filesys-SmbClient-%{version}
%patch0 -p0
chmod -x Changes
find . -name "*.pm" -exec chmod -c a-x {} +
find . -name "libauthSamba*" -exec chmod -c a-x {} +
find . -name "SmbClient.xs" -exec chmod -c a-x {} +


%build
# Force Makefile to use defaults
export PERL_MM_USE_DEFAULT=1
# HOSTTYPE is not exported by default, hence not readable by Perl
# Needed to be able to find libsmbclient.so in /usr/lib64
export HOSTTYPE
# CCFLAGS: Tell samba to use close_fn not close (caused compilation error)
perl Makefile.PL INSTALLDIRS=vendor CCFLAGS='-DHAVE_CLOSEFN' OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} %{buildroot}/*


%files
%doc Changes README COPYING
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Filesys*
%{_mandir}/man3/*


%changelog
* Fri Feb 15 2013 Normunds Neimanis <fedorapkg at rule.lv> 3.2-1
- Package for current Fedora
